Bug 644308 - manpage not in sync with options logrotate actually recognizes
manpage not in sync with options logrotate actually recognizes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: man-pages-overrides (Show other bugs)
6.1
All Linux
low Severity low
: rc
: ---
Assigned To: Ivana Varekova
BaseOS QE - Apps
: ManPageChange
Depends On: 642936
Blocks: 644309 659720
  Show dependency treegraph
 
Reported: 2010-10-19 07:58 EDT by Jan Kaluža
Modified: 2013-01-10 22:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 642936
: 644309 659720 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:28:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kaluža 2010-10-19 07:58:02 EDT
+++ This bug was initially created as a clone of Bug #642936 +++

Version-Release number of selected component (if applicable):
logrotate-3.7.4-9.el5_5.1

Steps to Reproduce:
# ./compare-options.sh /usr/sbin/logrotate 
Program path:
	/usr/sbin/logrotate
Man pages found:
	/usr/share/man/man8/logrotate.8.gz
The binary analysis was NOT done
Doing man page vs. usage message comparison

The program reported 13 option(s)
The man page reported 12 option(s)
9 COMMON option(s):
	--force
	--mail
	--state
	--usage
	-d
	-f
	-m
	-s
	-v
4 option(s) reported by the program ONLY:
	--debug
	--help
	--verbose
	-?
3 option(s) reported by the man page ONLY:
	-HUP
	-dv
	-force

-HUP is false positive (it is used in text like an example of killall)
-dv is false positive (it is combination of -d and -v)

Actual results: 
no all parameters of program are in man page and 1 in man page is wrong (typo)

Expected results:
all parameters in program and man page are same

--- Additional comment from jkaluza@redhat.com on 2010-10-19 07:46:28 EDT ---

Created attachment 454331 [details]
proposed patch

This patch corrects the man page.
Comment 7 errata-xmlrpc 2011-05-19 10:28:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0780.html

Note You need to log in before you can comment on or make changes to this bug.